#!/bin/bash

. lib.sh

main() {
	ln -s ../nop-highprio/*.txt .
}

plot_cmds() {
    min=$(head -n 1 len2-msgs.txt | awk '{ print $2 }')
    cat <<EOF
set title "Single GW rule for all messages, no modifications, high (soft)irq task priority"
set logscale y
set grid xtics ytics mytics lw 1, lw 0.5
set key left
set xlabel "Experiment time [s]"
set ylabel "GW latency [ms]"
plot [:] [0.01:4] \\
          "len2-msgs.txt" using (\$2-$min):(1000*\$14-0.001*\$16) with points title "2 byte messages", \\
          "len4-msgs.txt" using (\$2-$min):(1000*\$14-0.001*\$16) with points title "4 byte messages", \\
          "len6-msgs.txt" using (\$2-$min):(1000*\$14-0.001*\$16) with points title "6 byte messages", \\
          "len8-msgs.txt" using (\$2-$min):(1000*\$14-0.001*\$16) with points title "8 byte messages"
EOF
}
    
test_end
    
